Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Feb 2016 22:05:17 +0200

> From: Achim Gratz <[email-masked]>
> Date: Mon, 08 Feb 2016 20:39:36 +0100
> 
> >> Mintty has implemented bracketed paste mode, but Emacs doesn't seem to
> >> recognize and/or use it, then.  Feel free to split this off into another
> >> bug.
> >
> > Sounds like a different bug, indeed.  What is the init file in
> > lisp/term/ that gets used for mintty?
> 
> Mintty either responds with xterm-256colors or screen-256colors,
> depending on the context.  Other than that I don't know which init file
> gets used or how to find out.

Then it loads either xterm.el or screen.el (which loads xterm.el).
xterm.el has a function called xterm--init-bracketed-paste-mode, can
you see if it gets called at startup?

> As another data point, konsole in KDE doesn't seem to be in bracketed
> paste mode either when using 24.5 (is that supposed to be already
> implemented there?  I think not, at least NEWS doesn't mention it).

This is new with Emacs 25, so 24.5 shouldn't have it.

> A very recent 25.0.90 does have it, but completely messes up the
> line endings (it inserts lots of spurious trailing whitespace).  If
> I remove the extraneous whitespace, then the paste is actually OK,
> i.e. doesn't get indented.  Whether or not the trailing whitespace
> gets added seems to depend on where I copy from: copying from the
> terminal window itself adds whitespace, copying from an Emacs GUI
> frame doesn't.

The stuff that gets put into the selection is up to the application
that owns the selection, right?